#
# Conditional build:
%bcond_with	obsolete_sip4	# whether to obsolete sip 4 (not a replacement)

Summary:	SIP - Python/C++ Bindings Generator
Summary(pl.UTF-8):	SIP - generator wiązań Python/C++
Name:		sip6
Version:	6.9.1
Release:	1%{?tld}
License:	GPL v2
#Source0Download: https://pypi.org/project/sip/
Source0:	https://files.pythonhosted.org/packages/source/s/sip/sip-%{version}.tar.gz
# Source0-md5:	a6f939e7c1e4d1c3feb39ed56e7b2297
URL:		https://www.riverbankcomputing.com/software/sip
BuildRequires:	python3-devel >= 1:3.8
BuildRequires:	python3-setuptools >= 1:64
BuildRequires:	python3-setuptools_scm >= 8
BuildRequires:	rpmbuild(macros) >= 1.750
%if %{_ver_lt "%{py3_ver}" "3.11"}
Requires:	python3-tomli
%endif
%if %{with obsolete_sip4}
Obsoletes:	python-sip < 2:6
Obsoletes:	python-sip-devel < 2:6
Obsoletes:	python3-sip < 2:6
Obsoletes:	python3-sip-devel < 2:6
Obsoletes:	sip < 2:6
%endif
Obsoletes:	sip5 < 6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SIP is a collection of tools that makes it very easy to create Python
bindings for C and C++ libraries. It was originally developed in 1998
to create PyQt, the Python bindings for the Qt toolkit, but can be
used to create bindings for any C or C++ library. For example it is
also used to generate wxPython, the Python bindings for wxWidgets.

%description -l pl.UTF-8
SIP to zbiór narzędzi ułatwiających tworzenie wiązań Pythona do
bibliotek C i C++. Pierwotnie powstał w 1998 roku, aby stworzyć PyQt -
wiązań Pythona do biblioteki Qt, ale może być używany do tworzenia
wiązań do dowolnej biblioteki C lub C++. Jest używana także np. do
generowania wxPythona - wiązań Pythona do wxWidgets.

%prep
%setup -q -n sip-%{version}

cat > setup.py <<EOF
from setuptools import setup
setup(version='%{version}')
EOF

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/sip-build
%attr(755,root,root) %{_bindir}/sip-distinfo
%attr(755,root,root) %{_bindir}/sip-install
%attr(755,root,root) %{_bindir}/sip-module
%attr(755,root,root) %{_bindir}/sip-sdist
%attr(755,root,root) %{_bindir}/sip-wheel
%{py3_sitescriptdir}/sip-%{version}-py*.egg-info
%dir %{py3_sitescriptdir}/sipbuild
%{py3_sitescriptdir}/sipbuild/*.py
%{py3_sitescriptdir}/sipbuild/__pycache__
%dir %{py3_sitescriptdir}/sipbuild/distinfo
%{py3_sitescriptdir}/sipbuild/distinfo/*.py
%{py3_sitescriptdir}/sipbuild/distinfo/__pycache__
%{py3_sitescriptdir}/sipbuild/generator/*.py
%dir %{py3_sitescriptdir}/sipbuild/generator
%{py3_sitescriptdir}/sipbuild/generator/__pycache__
%dir %{py3_sitescriptdir}/sipbuild/generator/outputs
%{py3_sitescriptdir}/sipbuild/generator/outputs/*.py
%{py3_sitescriptdir}/sipbuild/generator/outputs/__pycache__
%dir %{py3_sitescriptdir}/sipbuild/generator/outputs/code
%{py3_sitescriptdir}/sipbuild/generator/outputs/code/*.py
%{py3_sitescriptdir}/sipbuild/generator/outputs/code/__pycache__
%dir %{py3_sitescriptdir}/sipbuild/generator/outputs/formatters
%{py3_sitescriptdir}/sipbuild/generator/outputs/formatters/*.py
%{py3_sitescriptdir}/sipbuild/generator/outputs/formatters/__pycache__
%dir %{py3_sitescriptdir}/sipbuild/generator/parser
%{py3_sitescriptdir}/sipbuild/generator/parser/*.py
%{py3_sitescriptdir}/sipbuild/generator/parser/__pycache__
%dir %{py3_sitescriptdir}/sipbuild/generator/parser/ply
%{py3_sitescriptdir}/sipbuild/generator/parser/ply/*.py
%{py3_sitescriptdir}/sipbuild/generator/parser/ply/__pycache__
%dir %{py3_sitescriptdir}/sipbuild/generator/resolver
%{py3_sitescriptdir}/sipbuild/generator/resolver/*.py
%{py3_sitescriptdir}/sipbuild/generator/resolver/__pycache__
%dir %{py3_sitescriptdir}/sipbuild/module
%{py3_sitescriptdir}/sipbuild/module/*.py
%{py3_sitescriptdir}/sipbuild/module/__pycache__
%{py3_sitescriptdir}/sipbuild/module/source
%dir %{py3_sitescriptdir}/sipbuild/tools
%{py3_sitescriptdir}/sipbuild/tools/*.py
%{py3_sitescriptdir}/sipbuild/tools/__pycache__
%changelog
* Sun Dec 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/sip6.git;a=log;h=master

* Fri Dec 20 2024 Jan Palus <atler@pld-linux.org> 2da5ee0
- up to 6.9.1

* Sat Oct 05 2024 Jakub Bogusz <qboosh@pld-linux.org> 5944f9c
- release 3

* Wed Oct 02 2024 Jakub Bogusz <qboosh@pld-linux.org> b9035d7
- bcond to allow to coexist with sip 4.x (there are no file conflicts); PyQt* Obsoletes moved to python3-PyQt5.spec and python3-PyQt5-sip.spec

* Sun Jul 21 2024 Jan Palus <atler@pld-linux.org> d3e11ab
- update build deps; rel 2

* Sat Jul 20 2024 Jan Palus <atler@pld-linux.org> 17e9ff0
- up to 6.8.6

* Fri Feb 09 2024 Jan Palus <atler@pld-linux.org> 213eaaa
- up to 6.8.3

* Wed Jan 24 2024 Jan Palus <atler@pld-linux.org> 9a0693d
- up to 6.8.2

* Wed Dec 13 2023 Jan Palus <atler@pld-linux.org> 4e2d3a4
- up to 6.8.1

* Fri Dec 01 2023 Jan Palus <atler@pld-linux.org> 46083d7
- noarch now; rel 2

* Thu Nov 30 2023 Jan Palus <atler@pld-linux.org> 3b012cc
- up to 6.8.0

* Mon Oct 30 2023 Jan Palus <atler@pld-linux.org> e262d80
- up to 6.7.12

* Wed Aug 02 2023 Jan Palus <atler@pld-linux.org> e5c9129
- up to 6.7.11

* Mon Jul 24 2023 Jan Palus <atler@pld-linux.org> bfc8b28
- up to 6.7.10

* Fri Apr 21 2023 Jan Palus <atler@pld-linux.org> 83bbdbb
- up to 6.7.9

* Tue Apr 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 8de70c7
- pl, more verbose files (so it's visible that there are no conflicts with sip 4.x, only with 5.x)

* Mon Apr 10 2023 Jan Palus <atler@pld-linux.org> 84d7d14
- up to 6.7.8

* Tue Feb 07 2023 Jan Palus <atler@pld-linux.org> 886681b
- up to 6.7.7

* Sun Jan 29 2023 Jan Palus <atler@pld-linux.org> 8268157
- macros for %py3_build

* Sun Jan 29 2023 Jan Palus <atler@pld-linux.org> 0a7892b
- up to 6.7.6

* Mon Jul 11 2022 Jan Palus <atler@pld-linux.org> 2515999
- obsolete more sip subpackages; rel 4

